Folks.NameDetails.change_full_name – folks Reference Manual

# change_full_name

## Description:

public virtual async void change_full_name (string full_name) throws PropertyError

Change the contact's full name.

It's preferred to call this rather than setting NameDetails.full_name directly, as this method gives error notification and will only return once the name has been written to the relevant backing store (or the operation's failed).

## Parameters:

full_name | the full name (empty string to unset it)

## Exceptions:

PropertyError | if setting the full name failed

## Since:

0.6.2